org.apache.lucene.util.fst

## Class FST.BytesReader

- java.lang.Object
- - org.apache.lucene.store.DataInput
  - - org.apache.lucene.util.fst.FST.BytesReader

All Implemented Interfaces:
  Cloneable

Enclosing class:
  FST<T>

    public abstract static class FST.BytesReader
    extends DataInput

Reads bytes stored in an FST.

### Constructor Summary

Constructors
Constructor and Description
`FST.BytesReader()`

### Method Summary

Methods
`abstract long` `getPosition()` Get current read position.
`abstract boolean` `reversed()` Returns true if this reader uses reversed bytes under-the-hood.
`abstract void` `setPosition(long pos)` Set current read position.
`abstract void` `skipBytes(int count)` Skips bytes.

### Methods inherited from class org.apache.lucene.store.DataInput

`clone, readByte, readBytes, readBytes, readInt, readLong, readShort, readString, readStringSet, readStringStringMap, readVInt, readVLong`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FST.BytesReader

    public FST.BytesReader()

### Method Detail

#### getPosition

    public abstract long getPosition()

Get current read position.

#### setPosition

    public abstract void setPosition(long pos)

Set current read position.

#### reversed

    public abstract boolean reversed()

Returns true if this reader uses reversed bytes under-the-hood.

#### skipBytes

    public abstract void skipBytes(int count)

Skips bytes.